= MINI ACTIVITY LINK =

https://docs.google.com/document/d/14-6vavXrCpCxTEvpD0IqlvPUrwZMcYzOPw-NMejDaW0/edit?usp=sharing

= ACTIVITY SOLUTION =

1."The Busy Executive's Database Guide", "You Can Combat Computer Stress!"

2."Cooking with Computers", TC7777's title_id missing

3."Marjorie Green", "Abraham Bennet"

4. "Algodata Infosystems"

5. "The Busy Executive's Database Guide", "Cooking with Computers", "Straight Talk About Computers", "But is it User Friendly?", "Secrets of Silicon Valley", "Net Etiquette"